### Method

# Shumate MapSource get_longitude

#### Declaration [src]

    double
    shumate_map_source_get_longitude (
      ShumateMapSource* map_source,
      double zoom_level,
      double x
    )

#### Description [src]

Gets the longitude corresponding to this x position in the map source’s projection.

#### Parameters

`zoom_level` | `double`
| The zoom level.
`x` | `double`
| A x position.

#### Return value

Returns: | `double`
| The longitude.